org.apache.ignite.internal.processors.igfs

## Class IgfsCommunicationMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsCommunicationMessage

All Implemented Interfaces:
  Serializable, Message

Direct Known Subclasses:
  IgfsAckMessage, IgfsBlocksMessage, IgfsDeleteMessage, IgfsFragmentizerRequest, IgfsFragmentizerResponse, IgfsSyncMessage

    public abstract class IgfsCommunicationMessage
    extends Object
    implements Message

Base class for all IGFS communication messages sent between nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`IgfsCommunicationMessage()`

### Method Summary

Methods
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(Marshaller marsh, ClassLoader ldr)`
`void` `prepareMarshal(Marshaller marsh)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, onAckReceived`

### Constructor Detail

#### IgfsCommunicationMessage

    public IgfsCommunicationMessage()

### Method Detail

#### prepareMarshal

    public void prepareMarshal(Marshaller marsh)
                        throws IgniteCheckedException

Parameters:
  `marsh` - Marshaller.
Throws:
  `IgniteCheckedException` - In case of error.

#### finishUnmarshal

    public void finishUnmarshal(Marshaller marsh,
                       @Nullable
                       ClassLoader ldr)
                         throws IgniteCheckedException

Parameters:
  `marsh` - Marshaller.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - In case of error.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017